.TH ROOTTAIL 1 "Nov 13, 2000" "Version 0.0.10"
.UC 5
.SH NAME
root-tail \- print text directly to X11 root window
.SH SYNOPSIS
.B root-tail
.RB [ \-g \|| -geometry
.IR GEOMETRY ]
.RB [ \-fn \|| -font
.IR FONTSPEC ]
.RB [ \-color
.IR color ]
.RB [ \-reload
.IR SEC
.IR COMMAND ]
.RB [ \-shade ]
.RB [ \-f \|| \-fork ]
.RB [ \-noinitial ]
.RB [ \-frame ]
.RB [ \-i \|| \-interval
.IR SECONDS ]
.RB [ \-V ]
file1[,color[,desc]]
[file2[,color[,desc]]]
.\" Die Beschreibung
.SH DESCRIPTION
Displays a given file anywhere on your X11 root window with a transparent
background. It was made because I'm very lazy and this was easier than
making a new rxvt pixmap each time I changed my background to simulate
that transparent effect.  A null desc (example: "/var/log/messages,red,")
will prevent the printing of a description and the []'s.
.PP
.SS General Options
.TP
.BI \-color " COLOR"
Use color $color as default.
.TP
.BI "\-font \|| -fn" " FONTSPEC"
Use font FONTSPEC this can be either fixed withn fonts like -fn fixed or any font using -fn '-*-*-*-*-*-*-*-*-*-*-*-*-*-*' with the appropriate fields filled out (see xfontsel)
.TP
.B -f \|| \-fork
Forks to the background and gives the pid of itself (useful if rt is being called from a script or frontend)
.IP
.TP
.BI \-reload " SEC COMMAND"
Run command & run command after $sec seconds.
.TP
.B \-shade      
Add shading to font. 
.TP
.B \-noinitial
Don't display the end of the file(s) initially.
.TP
.BI "\-i \|| \-interval" " SECONDS"
Use the specified sleeping interval between checks instead of the default 3 seconds. Fractional values are o.k.
.TP
.B \-V
Print version information.
.TP
.B \-frame
Surround the selected area with a frame. This is just a debugging tool and doesn't always work properly. Use it to find
the perfect geometry.
.IP
.SH EXAMPLE
.PP
root-tail -g 80x25+100+50 /var/log/messages,green /var/log/secure,red,'ALERT'
.SH BUGS
.PP
\- width must be larger than the longest file-header, otherwise segfaults.
.PP
Should you happen to find any bugs please fix them and send me a diff.
.PP
NOTE: This program was modified by Marc Lehmann <pcg@goof.com>, who
couldn't reach the original author. Please direct bug-reports etc.. to pcg@goof.com.
.PP
http://root-tail.plan9.de/

